package cn.com.ty.lift.system.user.dao.mapper;

import cn.com.ty.lift.common.model.PushUserInfo;
import cn.com.xwy.boot.mybatis.MyBatisMapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 专家表 Mapper 接口
 * </p>
 *
 * @author huangyuan
 * @since 2020-04-17
 */
@MyBatisMapper
public interface IPushUserMapper extends BaseMapper<PushUserInfo> {

    /**
     * 获取要推送的用户信息
     *
     * @param companyId 当前公司id
     * @param roleCodes 角色编码集合
     * @return 用户信息
     * @description 获取要推送的用户信息
     * @date 2020/4/17 2:03 下午
     */
    @Select("select ui.user_id as userId, "
            + "ui.name as userName, "
            + "ua.mobile as mobile, "
            + "ua.device_model as deviceModel, "
            + "ua.device_flag as deviceFlag, "
            + "r.name as roleName from "
            + "user_account ua "
            + "left join user_info ui on ua.user_id = ui.user_id "
            + "left join user_role ur on ua.user_id = ur.user_id "
            + "left join role r on r.id = ur.role_id"
            + "where r.code in#{roleCodes} "
            + "and ur.company_id=#{companyId}")
    List<PushUserInfo> getPushUserInfo(Long companyId, List<String> roleCodes);
}
